//*********************************************************
//
// frmStep1:    Step 1 form for typed instance wizard
//
// Author:		Maher Najah
//
// (c) 2003 by Consyst SQL Inc.
//
//
//*********************************************************
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Xml;
using RepPP.VSNetWizard;

namespace RepPP.VSNetWizard.TypedInst
{
	/// <summary>
	/// Step 1 form: Enter the rep++ connection parameters
	/// </summary>
	internal class frmStep1 : frmStepRepConnect
	{
		private System.ComponentModel.Container         components = null;

        //******************************************************************
        //
        /// <summary>
        /// ctor:                       Class constructor
        /// </summary>
        //
        //******************************************************************
		public frmStep1()
		{
			InitializeComponent();
		}

        //******************************************************************
        //
        /// <summary>
        /// ctor:                       Class constructor
        /// </summary>
        /// <param name="frmMain">      Main form</param>
        //
        //******************************************************************
		public frmStep1(frmMainBase frmMain) : base(frmMain)
		{
			InitializeComponent();
		}

        //******************************************************************
        //
        /// <summary>
        /// Dispose:                    Dispose the form
        /// </summary>
        /// <param name="bDisposing">   true if disposing, false if finalizing</param>
        //
        //******************************************************************
        protected override void Dispose(bool bDisposing) 
        {
            if (bDisposing) {
                if (components != null) {
                    components.Dispose();
                }
            }
            base.Dispose(bDisposing);
        }
		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            // 
            // frmStep1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(448, 302);
            this.Name = "frmStep1";
            this.Text = "frmStep1";
            this.pnlStep.ResumeLayout(false);
            this.ResumeLayout(false);

        }
		#endregion
    } // class frmStep1
} // namespace